<?php

/**
 * Districts of Bahrain
 * - 115 districts
 * 
 * Source: 
 * - https://en.wikipedia.org/wiki/Governorates_of_Bahrain
 * - https://en.wikipedia.org/wiki/ISO_3166-2:BH
 * - https://en.wikipedia.org/wiki/List_of_cities_in_Bahrain
 * - https://ar.wikipedia.org/wiki/قائمة_مدن_البحرين
 * 
 * @author  Ebrahim Ahmed <ebrahim@alraneenlabs.com> | https://alraneenlabs.com/
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html
 */

global $places;

$places['BH'] = array(
  //Capital Governorate	محافظة العاصمة
  'BH-13' => array(
    _x('Adhari', 'District of Bahrain', 'bx-districts'),
    _x('Adliya', 'District of Bahrain', 'bx-districts'),
    _x('Al Qufool', 'District of Bahrain', 'bx-districts'),
    _x('Al Salihiyah', 'District of Bahrain', 'bx-districts'),
    _x('Alfateh', 'District of Bahrain', 'bx-districts'),
    _x('Bahrain Bay', 'District of Bahrain', 'bx-districts'),
    _x('Bahrain Financial Harbour', 'District of Bahrain', 'bx-districts'),
    _x('Bu Ashira', 'District of Bahrain', 'bx-districts'),
    _x('Bu Ghazal', 'District of Bahrain', 'bx-districts'),
    _x('Burhama', 'District of Bahrain', 'bx-districts'),
    _x('Diplomatic Area', 'District of Bahrain', 'bx-districts'),
    _x('Ghuraifa', 'District of Bahrain', 'bx-districts'),
    _x('Gudaibiya', 'District of Bahrain', 'bx-districts'),
    _x('Gufool', 'District of Bahrain', 'bx-districts'),
    _x('Hillat Abdul Saleh', 'District of Bahrain', 'bx-districts'),
    _x('Hoora', 'District of Bahrain', 'bx-districts'),
    _x('Jidali', 'District of Bahrain', 'bx-districts'),
    _x('Jirdab', 'District of Bahrain', 'bx-districts'),
    _x('Juffair', 'District of Bahrain', 'bx-districts'),
    _x('Karbabad', 'District of Bahrain', 'bx-districts'),
    _x('Mahooz', 'District of Bahrain', 'bx-districts'),
    _x('Manama Center', 'District of Bahrain', 'bx-districts'),
    _x('Mina Salman', 'District of Bahrain', 'bx-districts'),
    _x('Nabih Saleh', 'District of Bahrain', 'bx-districts'),
    _x('Noaim', 'District of Bahrain', 'bx-districts'),
    _x('Ras Rumman', 'District of Bahrain', 'bx-districts'),
    _x('Reef Island', 'District of Bahrain', 'bx-districts'),
    _x('Sanabis', 'District of Bahrain', 'bx-districts'),
    _x('Seef', 'District of Bahrain', 'bx-districts'),
    _x('Seqaya', 'District of Bahrain', 'bx-districts'),
    _x('Sihla (South)', 'District of Bahrain', 'bx-districts'),
    _x('Sulmaniya', 'District of Bahrain', 'bx-districts'),
    _x('Tubli', 'District of Bahrain', 'bx-districts'),
    _x('Umm Al Hassam', 'District of Bahrain', 'bx-districts'),
    _x('Zinj', 'District of Bahrain', 'bx-districts'),
  ),
  //Southern Governorate	المحافظة الجنوبية
  'BH-14' => array(
    _x('Al Dur', 'District of Bahrain', 'bx-districts'),
    _x('Al Safriyah', 'District of Bahrain', 'bx-districts'),
    _x('Alareen', 'District of Bahrain', 'bx-districts'),
    _x('Askar', 'District of Bahrain', 'bx-districts'),
    _x('Awali', 'District of Bahrain', 'bx-districts'),
    _x('Durrat Al Bahrain', 'District of Bahrain', 'bx-districts'),
    _x('Eker (East)', 'District of Bahrain', 'bx-districts'),
    _x('Eker (West)', 'District of Bahrain', 'bx-districts'),
    _x('Isa Town', 'District of Bahrain', 'bx-districts'),
    _x('Jary Al Shaikh', 'District of Bahrain', 'bx-districts'),
    _x('Jaww', 'District of Bahrain', 'bx-districts'),
    _x('Jazaair Beach', 'District of Bahrain', 'bx-districts'),
    _x('Maameer', 'District of Bahrain', 'bx-districts'),
    _x('Nuwaidrat', 'District of Bahrain', 'bx-districts'),
    _x('Riffa', 'District of Bahrain', 'bx-districts'),
    _x('Safra', 'District of Bahrain', 'bx-districts'),
    _x('Sakhir', 'District of Bahrain', 'bx-districts'),
    _x('Sanad', 'District of Bahrain', 'bx-districts'),
    _x('Sitra', 'District of Bahrain', 'bx-districts'),
    _x('Wadi  Alsail', 'District of Bahrain', 'bx-districts'),
    _x('West Riffa', 'District of Bahrain', 'bx-districts'),
    _x('Zallaq', 'District of Bahrain', 'bx-districts'),
    _x('Zayed Town', 'District of Bahrain', 'bx-districts'),
  ),
  //Muharraq Governorate	محافظة المحرق
  'BH-15' => array(
    _x('Al Dair', 'District of Bahrain', 'bx-districts'),
    _x('Al Muharraq', 'District of Bahrain', 'bx-districts'),
    _x('Al Sayh', 'District of Bahrain', 'bx-districts'),
    _x('Arad', 'District of Bahrain', 'bx-districts'),
    _x('Busaiteen', 'District of Bahrain', 'bx-districts'),
    _x('Diyar Al Muharraq', 'District of Bahrain', 'bx-districts'),
    _x('Galali', 'District of Bahrain', 'bx-districts'),
    _x('Halat Bu Maher', 'District of Bahrain', 'bx-districts'),
    _x('Halat Naim', 'District of Bahrain', 'bx-districts'),
    _x('Halat Seltah', 'District of Bahrain', 'bx-districts'),
    _x('Hidd', 'District of Bahrain', 'bx-districts'),
    _x('Hidd Industrial Area', 'District of Bahrain', 'bx-districts'),
    _x('Samaheej', 'District of Bahrain', 'bx-districts'),
  ),
  //Northern Governorate	المحافظة الشمالية
  'BH-17' => array(
    _x('Aali', 'District of Bahrain', 'bx-districts'),
    _x('Abu Quwa', 'District of Bahrain', 'bx-districts'),
    _x('Abu Saiba', 'District of Bahrain', 'bx-districts'),
    _x('Ain Aldaar', 'District of Bahrain', 'bx-districts'),
    _x('Al Daih', 'District of Bahrain', 'bx-districts'),
    _x('Al Hajar', 'District of Bahrain', 'bx-districts'),
    _x('Al Lawzi', 'District of Bahrain', 'bx-districts'),
    _x('Al Markh', 'District of Bahrain', 'bx-districts'),
    _x('Al Musalla', 'District of Bahrain', 'bx-districts'),
    _x('Al Qadam', 'District of Bahrain', 'bx-districts'),
    _x('Al Qala', 'District of Bahrain', 'bx-districts'),
    _x('Bani Jamra', 'District of Bahrain', 'bx-districts'),
    _x('Barbar', 'District of Bahrain', 'bx-districts'),
    _x('Bilad Alqadeem', 'District of Bahrain', 'bx-districts'),
    _x('Boori', 'District of Bahrain', 'bx-districts'),
    _x('Budaiya', 'District of Bahrain', 'bx-districts'),
    _x('Buquwa', 'District of Bahrain', 'bx-districts'),
    _x('Dar Kulaib', 'District of Bahrain', 'bx-districts'),
    _x('Dumistan', 'District of Bahrain', 'bx-districts'),
    _x('Duraz', 'District of Bahrain', 'bx-districts'),
    _x('Hamad Town', 'District of Bahrain', 'bx-districts'),
    _x('Hamala', 'District of Bahrain', 'bx-districts'),
    _x('Hoarat Aali', 'District of Bahrain', 'bx-districts'),
    _x('Jabalat Habshi', 'District of Bahrain', 'bx-districts'),
    _x('Janabiya', 'District of Bahrain', 'bx-districts'),
    _x('Jannusan', 'District of Bahrain', 'bx-districts'),
    _x('Jid Al-Haj', 'District of Bahrain', 'bx-districts'),
    _x('Jidhafs', 'District of Bahrain', 'bx-districts'),
    _x('Karrana', 'District of Bahrain', 'bx-districts'),
    _x('Karzakan', 'District of Bahrain', 'bx-districts'),
    _x('Khamis', 'District of Bahrain', 'bx-districts'),
    _x('Malikiya', 'District of Bahrain', 'bx-districts'),
    _x('Maqaba', 'District of Bahrain', 'bx-districts'),
    _x('Muqsha', 'District of Bahrain', 'bx-districts'),
    _x('Northern City', 'District of Bahrain', 'bx-districts'),
    _x('Qurayya', 'District of Bahrain', 'bx-districts'),
    _x('Saar', 'District of Bahrain', 'bx-districts'),
    _x('Sadad', 'District of Bahrain', 'bx-districts'),
    _x('Salmabad', 'District of Bahrain', 'bx-districts'),
    _x('Sehla', 'District of Bahrain', 'bx-districts'),
    _x('Shahrakan', 'District of Bahrain', 'bx-districts'),
    _x('Shakhura', 'District of Bahrain', 'bx-districts'),
    _x('Sihla (North)', 'District of Bahrain', 'bx-districts'),
    _x('Tashan', 'District of Bahrain', 'bx-districts'),
  ),
);

// Use this filter to handle the Districts of Bahrain
$places['BH'] = apply_filters('scpwoo_custom_places_bh', $places['BH']);
