<?php

/**
 * Governorates of Saudi Arabia
 * - 118 governorates
 * 
 * Source: 
 * - https://en.wikipedia.org/wiki/List_of_governorates_of_Saudi_Arabia
 * - https://www.citypopulation.de/en/saudiarabia/
 * 
 * @author  Yordan Soares <contacto@yordansoar.es> | https://yordansoar.es/
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html
 */

global $places;

$places['SA'] = array(
  // Riyadh Region
  'SA-01' => array(
    _x('Afif', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Aflaj', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Hariq', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Majma\'ah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Zulfi', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al-Ghat', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al-Kharj', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al-Muzahmiyya', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al-Quway\'iyah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('As Sulayyil', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Dawadmi', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Dhurma', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Diriyah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Hotat Bani Tamim', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Huraymila', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Riyadh', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Rumah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Shuqrah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Thadig', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Wadi ad-Dawasir', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Makkah Region
  'SA-02' => array(
    _x('Al Jumum', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Kamil', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Khurmah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Lith', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Qunfudhah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Jeddah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Khulays', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Mecca', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Rabigh', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Ranyah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Ta\'if', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Turubah', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Al Madinah Region
  'SA-03' => array(
    _x('Al Hinakiyah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al-ʿUla', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Badr', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Khaybar', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Mahd adh Dhahab', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Medina', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Yanbu', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Eastern Province Region
  'SA-04' => array(
    _x('Abqaiq', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Ahsa', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Nairyah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Dammam', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Hafar Al-Batin', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Jubail', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Khafji', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Khobar', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Qaryat al-Ulya', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Qatif', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Ras Tanura', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Al-Qassim Region
  'SA-05' => array(
    _x('Al Badayea', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Bukayriyah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Mithnab', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Nabhaniyah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Shimasiyah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Ar Rass', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Asyah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Buraidah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Riyadh Al Khabra', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Unaizah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Uyun AlJiwa', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Ha\'il Region
  'SA-06' => array(
    _x('Al Khazaiah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Shinan', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Baqaa', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Ha\'il', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Tabuk Region
  'SA-07' => array(
    _x('Al Wajh', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Duba', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Haql', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Tabuk', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Tayma', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Umluj', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Northern Borders Region
  'SA-08' => array(
    _x('Arar', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Rafha', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Turaif', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Jazan Region
  'SA-09' => array(
    _x('Abu `Arish', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Ahad al Masarihah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Aridhah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Darb', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Dayer', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Edabi', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Harth', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Reeth', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Baish', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Damad', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Farasan', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Jizan', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Sabya', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Samtah', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Najran Region
  'SA-10' => array(
    _x('Al Kharkhir', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Badr Al Janub', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Hubuna', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Khubash', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Najran', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Sharurah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Thar', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Yadamah', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Al-Bahah Region
  'SA-11' => array(
    _x('Al Aqiq', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Bahah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Makhwah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Mandaq', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Qara', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Baljurashi', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Qilwah', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // Al-Jawf Region
  'SA-12' => array(
    _x('Dumat al-Jandal', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Qurayyat', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Sakakah', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
  // \'Asir Region
  'SA-14' => array(
    _x('Abha', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Ahad Rafidah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al Majaridah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Al-Namas', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Balqarn', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Bisha', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Dhahran Al Janub', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Khamis Mushait', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Muhayil', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Rojal', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Sarat Abidah', 'Governorates of Saudi Arabia', 'bx-districts'),
    _x('Tathlith', 'Governorates of Saudi Arabia', 'bx-districts'),
  ),
);

// Use this filter to handle the Governorates of Saudi Arabia
$places['SA'] = apply_filters('scpwoo_custom_places_sa', $places['SA']);
